सामग्री पर जाएँ

Kling Image · v3 · Image to Image

इंटीग्रेट करें

मॉडल id kling-image/v3/image-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-image/v3/image-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.028 28 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Kling इमेज एडिटिंग रेफ़रेंस इनपुट2K तक #image-to-image

एकल संदर्भ इमेज से v3 इमेज-टू-इमेज रीस्टाइलिंग, 1K या 2K पर, अधिकतम 9 आउटपुट के साथ

Kling · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 88 / 2500

2500 वर्णों की सीमा वाला इमेज-निर्माण प्रॉम्प्ट।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

इमेज-टू-इमेज निर्माण के लिए इनपुट के रूप में उपयोग की जाने वाली संदर्भ इमेज, जिसकी फ़ाइल आकार सीमा 10.0MB है। दोनों आयाम कम से कम 300px होने चाहिए और आस्पेक्ट रेशियो 0.40 से 2.50 के बीच होना चाहिए। टाइमआउट 20.0s है।

resolution डिफ़ॉल्ट 1K

आउटपुट इमेज रिज़ॉल्यूशन: मानक रिज़ॉल्यूशन के लिए 1K या उच्च रिज़ॉल्यूशन के लिए 2K।

aspect_ratio डिफ़ॉल्ट 16:9

निर्मित इमेज का चौड़ाई-से-ऊँचाई अनुपात।

num_images डिफ़ॉल्ट 1

आउटपुट इमेज की संख्या, 1 से 9 तक।

उन्नत output_format · enable_safety_checker · elements
output_format डिफ़ॉल्ट png

परिणामी इमेज का फ़ाइल फ़ॉर्मैट।

दिए गए तत्वों के माध्यम से वैकल्पिक face control, जो निर्दिष्ट करता है कि इमेज में कौन से वर्ण या ऑब्जेक्ट दिखाई देने चाहिए।

POST /run/kling-image/v3/image-to-image?wait=20 कोटेशन → $0.028
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-image/v3/image-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Kling Image · v3 · Image to Image के बारे में

टेक्स्ट प्रॉम्प्ट के अनुसार एक संदर्भ इमेज (`image_url`) को संपादित या नए रूप में प्रस्तुत करता है। इमेज की प्रत्येक भुजा कम से कम 300px और आस्पेक्ट अनुपात 0.40 से 2.50 के बीच होना चाहिए, तथा सीमा 10MB है। `resolution` 1K या 2K है, `num_images` 1-9 है, और `elements` चेहरा नियंत्रण प्रदान करते हैं। आउटपुट फ़ॉर्मैट jpeg, png या webp हैं।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
≤ 2,500 अक्षर
2500 वर्णों की सीमा वाला इमेज-निर्माण प्रॉम्प्ट।
image_urlआवश्यक image
प्रकारurl · image
इमेज-टू-इमेज निर्माण के लिए इनपुट के रूप में उपयोग की जाने वाली संदर्भ इमेज, जिसकी फ़ाइल आकार सीमा 10.0MB है। दोनों आयाम कम से कम 300px होने चाहिए और आस्पेक्ट रेशियो 0.40 से 2.50 के बीच होना चाहिए। टाइमआउट 20.0s है।
elementsवैकल्पिक
प्रकारobject[]
दिए गए तत्वों के माध्यम से वैकल्पिक face control, जो निर्दिष्ट करता है कि इमेज में कौन से वर्ण या ऑब्जेक्ट दिखाई देने चाहिए।
elements[].frontal_image_urlवैकल्पिक
प्रकारurl · image
तत्व का मुख्य दृश्य प्रदान करने वाली वैकल्पिक सामने से ली गई इमेज। फ़ाइल का आकार 10.0 MB से अधिक नहीं हो सकता; चौड़ाई और ऊँचाई दोनों कम से कम 300px होनी चाहिए और आस्पेक्ट रेशियो 0.40 से 2.50 के बीच होना चाहिए।
elements[].reference_image_urlsवैकल्पिक
प्रकारurl[] · image
अन्य कोण दिखाने वाली 0–3 अतिरिक्त इमेज का वैकल्पिक सेट। प्रत्येक फ़ाइल 10.0 MB से बड़ी नहीं होनी चाहिए, चौड़ाई और ऊँचाई दोनों कम से कम 300px होनी चाहिए और आस्पेक्ट रेशियो 0.40 से 2.50 के बीच होना चाहिए।
resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट1K
1K2K
आउटपुट इमेज रिज़ॉल्यूशन: मानक रिज़ॉल्यूशन के लिए 1K या उच्च रिज़ॉल्यूशन के लिए 2K।
num_imagesवैकल्पिक num_outputs
प्रकारinteger
डिफ़ॉल्ट1
1 – 9
आउटपुट इमेज की संख्या, 1 से 9 तक।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्ट16:9
16:99:161:14:33:43:22:321:9
निर्मित इमेज का चौड़ाई-से-ऊँचाई अनुपात।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टpng
jpegpngwebp
परिणामी इमेज का फ़ाइल फ़ॉर्मैट।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-image/v3/image-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 28,
    "usd": "0.028",
    "charged": 28,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, content_type, file_name, file_size, width, height}मॉडल द्वारा बनाई गई इमेज।

और मॉडल: इमेज एडिटिंग

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/kling-image/v3/image-to-image.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt